import type { Theme } from '../../lib/theming/Theme';
export declare const globalClasses: {
    focus: string;
};
export declare const styles: {
    rootSmall(t: Theme): string;
    rootMedium(t: Theme): string;
    rootLarge(t: Theme): string;
    verticalSmall(t: Theme): string;
    verticalMedium(t: Theme): string;
    verticalLarge(t: Theme): string;
    focusSmall(t: Theme): string;
    focusMedium(t: Theme): string;
    focusLarge(t: Theme): string;
    disabled(t: Theme): string;
    active(): string;
};
export declare const horizontalStyles: {
    active(t: Theme): string;
    disabled(): string;
    primary(t: Theme): string;
    success(t: Theme): string;
    warning(t: Theme): string;
    error(t: Theme): string;
};
export declare const verticalStyles: {
    active(t: Theme): string;
    disabled(): string;
    primary(t: Theme): string;
    success(t: Theme): string;
    warning(t: Theme): string;
    error(t: Theme): string;
};
